cancel
Showing results for 
Search instead for 
Did you mean: 

I can't run cmd in ssh access

I can't run cmd in ssh access

Hello everyone,

 

I installed correctly magento 2.2, and my php version on the server is 7.1.4

 

When I try to launch a cmd such  

 php bin/magento cache:clean  

the server said:

Magento supports 7.0.2, 7.0.4, and 7.0.6 or later. Please read http://devdocs.magento.com/guides/v1.0/install-gde/system-requirements.html

That's really strange, because in another server works perfect (and I followed the same instruction).

 

Is someone had the same issue?

 

Thank you very much 

Tags (3)
3 REPLIES

Re: I can't run cmd in ssh access

Hi @DanGerFe,

 

If you run:

 

php -v

Which version of PHP do you get?

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: I can't run cmd in ssh access

I have the same issue and I get

 

PHP 5.6.29 (cli) (built: Jan  6 2017 10:06:29)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.1.1, Copyright (c) 2002-2016, by ionCube Ltd.
    with Zend Guard Loader v3.3, Copyright (c) 1998-2014, by Zend Technologies

However my phpinfo.php shows

PHP Version7.1.7

Re: I can't run cmd in ssh access

Hi @cbinau,

 

That's becasue the version of PHP-CLI is different from the version used with the webserver.

You should fix that and then everything should work properly.

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"